# Find an object from a layer by name.

from maptek import vulcan

dgd_file = "pydemo.dgd.isis"  # design database to access
layer_name = 'POINT'  # layer to use

with vulcan.dgd(dgd_file, "r") as dgd:  # open up the database in read mode
    layer = dgd.get_layer(layer_name) # access layer

    obj = layer.find_object('POLYLINE')  # find the object
    print(f"{obj}")
